diff --git a/version.sh b/version.sh
index a91c48b..cbdf140 100755
--- a/version.sh
+++ b/version.sh
@@ -1,8 +1,8 @@
 #!/bin/sh
-VER=`svnversion .`
+VER=`git-rev-list HEAD | wc | awk '{print substr($1,0,3)}'`
 if [ "x$VER" != x -a "$VER" != exported ]
 then
-  echo "#define X264_VERSION \" svn-$VER\"" >> config.h
+  echo "#define X264_VERSION \" git-$VER\"" >> config.h
   VER=`echo $VER | sed -e 's/[^0-9].*//'`
 else
   echo "#define X264_VERSION \"\"" >> config.h
